Subject: Re: bug#4136: 23.1; delete-pair

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Aug 2009 23:10:47 -0400

> ...this is exactly the issue: it is much better if `delete-foo' is
> always an operation that reverts what `insert-foo' does.

I don't think we shojuld make it hard to delete (...] just because it
may be done by mistake.  That's what `undo' is for.

So, I'm in favor of making delete-pair a bit more picky, but not quite
as much as you suggest.  I suggest we try and make sure delete-pair
indeed only eliminates chars like ([" on the left side and )]" on the
right side (including by moving point a little bit in order to find the
intended pair), but let's not impose that ( can only match ).

> The current state of `delete-pair' is so bad that my guess is that
> hardly anyone used it, so adding another command doesn't make much
> sense.

It works fine, tho it indeed does it in a "blind" way that means that
you may get surprise results which require undo.  No big deal, tho.

        Stefan